Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Interface ResourceFactory

    public interface ResourceFactory

Author:
  Nick Belaevski

Field Summary
`static java.lang.String` | `DYNAMIC_RESOURCE_MAPPINGS`
`static java.lang.String` | `SKINNED_RESOURCE_PREFIX`
`static java.lang.String` | `STATIC_RESOURCE_MAPPINGS`

Method Summary
`javax.faces.application.Resource` | `createResource(javax.faces.context.FacesContext context, ResourceRequestData resourceData)`
`javax.faces.application.Resource` | `createResource(java.lang.String resourceName, java.lang.String libraryName, java.lang.String contentType)`
`java.util.Collection<ResourceKey>` | `getMappedDynamicResourceKeys()`

Field Detail

### STATIC_RESOURCE_MAPPINGS

    static final java.lang.String STATIC_RESOURCE_MAPPINGS

See Also:
  Constant Field Values

### DYNAMIC_RESOURCE_MAPPINGS

    static final java.lang.String DYNAMIC_RESOURCE_MAPPINGS

See Also:
  Constant Field Values

### SKINNED_RESOURCE_PREFIX

    static final java.lang.String SKINNED_RESOURCE_PREFIX

See Also:
  Constant Field Values

Method Detail

### getMappedDynamicResourceKeys

    java.util.Collection<ResourceKey> getMappedDynamicResourceKeys()

### createResource

    javax.faces.application.Resource createResource(java.lang.String resourceName,
                                                    java.lang.String libraryName,
                                                    java.lang.String contentType)

### createResource

    javax.faces.application.Resource createResource(javax.faces.context.FacesContext context,
                                                    ResourceRequestData resourceData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.